package com.pms.ocp.service.impl;


import com.pms.ocp.mapper.OcpApiAuditMapper;
import com.pms.ocp.model.entity.OcpApiAudit;
import com.pms.ocp.model.vo.ResponseVO;
import com.pms.ocp.service.OcpApiAuditService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

@Service
public class OcpApiAuditServiceImpl implements OcpApiAuditService {

    @Autowired
    private OcpApiAuditMapper ocpApiAuditMapper;

    @Override
    public ResponseVO getOcpApiAuditList(OcpApiAudit ocpApiAudit) {
        List<String> ocpApiAuditList = ocpApiAuditMapper.getOcpApiSubsList(ocpApiAudit);
        if(CollectionUtils.isEmpty(ocpApiAuditList)){
            return ResponseVO.error("查询列表为空");
        }else{
            return ResponseVO.ok(ocpApiAuditList);
        }
    }

//    @Override
//    public ResponseVO getOcpApiList(Oaa oaa) {
//        List<OcpApiAudit> list = ocpApiAuditMapper.getOcpApiSubsList(oaa);
//        return ResponseVO.ok(list);
//    }

    @Override
    public ResponseVO getOcpApiDetails(String objId) {
        OcpApiAudit ocpApiAudit = ocpApiAuditMapper.selectById(objId);
        return ResponseVO.ok(ocpApiAudit);
    }

    @Override
    public ResponseVO OaaById(OcpApiAudit ocpApiAudit) {
        List<String> oaaById = ocpApiAuditMapper.OaaById(ocpApiAudit);
        return ResponseVO.ok(oaaById);
    }

    @Override
    public ResponseVO sById(OcpApiAudit ocpApiAudit) {
        List<String> oaaById = ocpApiAuditMapper.sById(ocpApiAudit);
        return ResponseVO.ok(oaaById);
    }

//    @Override
//    public void exportExcel(Oaa oaa, HttpServletRequest request, HttpServletResponse response) {
//        List<OcpApiAudit> list = ocpApiAuditMapper.selectList(oaa);
//        ExportParams param = new ExportParams(AnalysisConstant.exportOcpApiAuditName.OCP_API_AUDIT,AnalysisConstant.exportOcpApiAuditName.OCP_API_AUDIT);
//        Workbook workbook = ExcelExportUtil.exportExcel(param,OcpApiAudit.class,list);
//        ExportUtils.exportExcel(response, AnalysisConstant.exportOcpApiAuditName.OCP_API_AUDIT,workbook);
//    }


}
